> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/twthyq-api/nzrh-aamh-ala-tlbat-geopard-api/38.-alastalam-jlb-userdata.md).

# 38. الاستعلام: جلب "UserData"

الحصول على "بيانات\_المستخدم" للمستخدم المخوّل.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    البريد الإلكتروني
    إجمالي_المساحة
    الحد_الأقصى_للمساحة
    وحدة_المساحة
    اللغة
    مفتاح_API
    كمية_فئات_مجموعة_بيانات_التربة
    المنظمات {
      uuid
      الاسم
      اسم_العائلة
      الاسم_الأول
      البريد الإلكتروني
      الهاتف
      تاريخ الإنشاء
      updatedDate
      المستخدمون {
        معرّف_المنظمة_UUID
        userUuid
        البريد الإلكتروني
        جميع_المزارع
        تاريخ الإنشاء
        updatedDate
        المزارع {
          uuid
          userUuid
          الاسم
          تاريخ الإنشاء
          updatedDate
          farmOwnership
          البريد الإلكتروني
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/twthyq-api/nzrh-aamh-ala-tlbat-geopard-api/38.-alastalam-jlb-userdata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
